cancel
Showing results for 
Search instead for 
Did you mean: 

WICED Smart Bluetooth

Anonymous
Not applicable

I have been using evaluation kit BCM92073X_LE_KIT and SDK-2.1.1 to develop an application that requires long characteristic support.  I have long characteristics working fine on the evaluation kit using bleprofile_WriteHandleData() obtained from SDK-2.1.1 long_characteristic example application.

My final hardware uses BCM20732S,  I get the following message when trying to download to BCM20732S using SDK-2.1.1.  "Download failed. This version of the SDK only supports download to BCM20736A1 and BCM20737A1 devices"

Does SDK-2.X support BCM20732S or does only SDK-1.X have support for BCM20732S?

I can't link to bleprofile_WriteHandleData() when trying to use SDK-1.1.0.  SDK-1.1.0 also does not have a long_characteristic example application like SDK-2.1.1 does.

Does SDK-1.1.0 support long characteristics?

0 Likes
Reply
1 Solution
Moderator
Moderator

The code for reading and writing the GATT database within SDK 1.1 is currently limited to 22 bytes.  

Long characteristics are however supported on SDK 2.x (Firmware Revision A1):

Support for very large characteristics

Notify 80 bytes data?

Unfortunately, the BCM20732S does not support the newer firmware.

alvin andrew997

View solution in original post

0 Likes
Reply
4 Replies
Moderator
Moderator

The code for reading and writing the GATT database within SDK 1.1 is currently limited to 22 bytes.  

Long characteristics are however supported on SDK 2.x (Firmware Revision A1):

Support for very large characteristics

Notify 80 bytes data?

Unfortunately, the BCM20732S does not support the newer firmware.

alvin andrew997

View solution in original post

0 Likes
Reply
Anonymous
Not applicable

Thanks for the quick response. 

Are you saying that BCM20732S can only use SDK-1.1.0 and that Broadcom has no plans to to update that SDK to support long characteristics?

Does that also mean that BCM20732S is stranded on an old version of the SDK that will not longer be updated by Broadcom?

0 Likes
Reply
Moderator
Moderator

The 20732S uses SDK 1.x

There are no plans to update SDK 1.x

SDK 1.x and the 20732S will remain in our 2073XS arsenal and exist as the entry level, low cost product for very simple BLE applications.

0 Likes
Reply